]>
Commit | Line | Data |
---|---|---|
1a62a722 TR |
1 | # SPDX-License-Identifier: GPL-2.0+ |
2 | ||
8b0b5017 PH |
3 | variables: |
4 | DEFAULT_TAG: "" | |
74bcbb13 | 5 | MIRROR_DOCKER: docker.io |
8b0b5017 PH |
6 | |
7 | default: | |
8 | tags: | |
9 | - ${DEFAULT_TAG} | |
10 | ||
cb735173 JS |
11 | # Grab our configured image. The source for this is found |
12 | # in the u-boot tree at tools/docker/Dockerfile | |
0b06e052 | 13 | image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024 |
1a62a722 TR |
14 | |
15 | # We run some tests in different order, to catch some failures quicker. | |
16 | stages: | |
1a62a722 | 17 | - testsuites |
b29cb058 | 18 | - test.py |
1a62a722 TR |
19 | - world build |
20 | ||
21 | .buildman_and_testpy_template: &buildman_and_testpy_dfn | |
1a62a722 | 22 | stage: test.py |
58b35850 | 23 | retry: 2 # QEMU may be too slow, etc. |
399f739b AC |
24 | rules: |
25 | - when: always | |
1a62a722 TR |
26 | before_script: |
27 | # Clone uboot-test-hooks | |
bd181a24 | 28 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
85ae52b9 | 29 | - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks |
1a62a722 TR |
30 | - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname` |
31 | - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname` | |
28a51234 TR |
32 | - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd |
33 | - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd | |
49fb28a4 | 34 | - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then |
a966634e HS |
35 | wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ; |
36 | export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin; | |
49fb28a4 | 37 | fi |
0e60b3a7 | 38 | - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then |
a966634e HS |
39 | wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ; |
40 | export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin; | |
49fb28a4 | 41 | fi |
b29cb058 | 42 | |
1a62a722 | 43 | after_script: |
26c56f1c | 44 | - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} . |
24df1b14 | 45 | - rm -rf /tmp/uboot-test-hooks /tmp/venv |
1a62a722 | 46 | script: |
dd5c954e | 47 | # If we've been asked to use clang only do one configuration. |
4e32fed4 | 48 | - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD} |
1aa168ca | 49 | - echo BUILD_ENV ${BUILD_ENV} |
9cea4797 SG |
50 | - if [ -n "${BUILD_ENV}" ]; then |
51 | export ${BUILD_ENV}; | |
52 | fi | |
7ec1255c SG |
53 | - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e |
54 | --board ${TEST_PY_BD} ${OVERRIDE} | |
82560ae2 HS |
55 | - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/ |
56 | - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/ | |
57 | - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi | |
82560ae2 HS |
58 | - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi |
59 | - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi | |
0e60b3a7 BM |
60 | # create sdcard / spi-nor images for sifive unleashed using genimage |
61 | - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then | |
62 | mkdir -p root; | |
63 | cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .; | |
64 | cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .; | |
65 | rm -rf tmp; | |
66 | genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg; | |
67 | cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/; | |
68 | rm -rf tmp; | |
69 | genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg; | |
70 | cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/; | |
71 | fi | |
bfb2a7fb | 72 | - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then |
3a79c91f TR |
73 | cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom; |
74 | /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload; | |
75 | /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000; | |
bfb2a7fb | 76 | fi |
085b8978 TR |
77 | - virtualenv -p /usr/bin/python3 /tmp/venv |
78 | - . /tmp/venv/bin/activate | |
79 | - pip install -r test/py/requirements.txt | |
4080d097 | 80 | # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not |
4e32fed4 | 81 | - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH}; |
1a62a722 | 82 | export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci; |
f3092473 | 83 | ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID} |
4080d097 | 84 | ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"} |
cec1e856 | 85 | --build-dir "$UBOOT_TRAVIS_BUILD_DIR" |
26c56f1c | 86 | --junitxml=/tmp/${TEST_PY_BD}/results.xml |
e5670730 MV |
87 | artifacts: |
88 | when: always | |
89 | paths: | |
90 | - "*.html" | |
91 | - "*.css" | |
26c56f1c TR |
92 | reports: |
93 | junit: results.xml | |
e5670730 | 94 | expire_in: 1 week |
1a62a722 | 95 | |
399f739b | 96 | .world_build: |
1a62a722 | 97 | stage: world build |
399f739b AC |
98 | rules: |
99 | - when: always | |
100 | ||
101 | build all 32bit ARM platforms: | |
102 | extends: .world_build | |
1a62a722 TR |
103 | script: |
104 | - ret=0; | |
bd181a24 | 105 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
f586cdae | 106 | pip install -r tools/buildman/requirements.txt; |
d7713ad3 | 107 | ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?; |
dd5c954e | 108 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 109 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
110 | exit $ret; |
111 | fi; | |
9f7bda10 | 112 | |
a11cb57d | 113 | build all 64bit ARM platforms: |
399f739b | 114 | extends: .world_build |
9f7bda10 | 115 | script: |
26a426a1 | 116 | - virtualenv -p /usr/bin/python3 /tmp/venv |
f0db8395 | 117 | - . /tmp/venv/bin/activate |
9f7bda10 | 118 | - ret=0; |
bd181a24 | 119 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
f586cdae | 120 | pip install -r tools/buildman/requirements.txt; |
d7713ad3 | 121 | ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?; |
dd5c954e | 122 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 123 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
124 | exit $ret; |
125 | fi; | |
9f7bda10 | 126 | |
a11cb57d | 127 | build all PowerPC platforms: |
399f739b | 128 | extends: .world_build |
9f7bda10 TR |
129 | script: |
130 | - ret=0; | |
bd181a24 | 131 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
dd5c954e SG |
132 | ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?; |
133 | if [[ $ret -ne 0 ]]; then | |
b52f5a19 | 134 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
135 | exit $ret; |
136 | fi; | |
9f7bda10 | 137 | |
a11cb57d | 138 | build all other platforms: |
399f739b | 139 | extends: .world_build |
9f7bda10 TR |
140 | script: |
141 | - ret=0; | |
bd181a24 | 142 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
d7713ad3 | 143 | ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?; |
dd5c954e | 144 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 145 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
146 | exit $ret; |
147 | fi; | |
1a62a722 | 148 | |
399f739b | 149 | .testsuites: |
c1a7de57 | 150 | stage: testsuites |
399f739b AC |
151 | rules: |
152 | - when: always | |
153 | ||
154 | check for new CONFIG symbols outside Kconfig: | |
155 | extends: .testsuites | |
c1a7de57 | 156 | script: |
bb9b9c1e TR |
157 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
158 | # If grep succeeds and finds a match the test fails as we should | |
159 | # have no matches. | |
160 | - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_' | |
a03efb6f | 161 | :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h |
8f31c85c SG |
162 | :^include/linux/kconfig.h :^tools/ :^dts/upstream/ && |
163 | exit 1 || exit 0 | |
c1a7de57 | 164 | |
e9cc7029 HS |
165 | # build documentation |
166 | docs: | |
399f739b | 167 | extends: .testsuites |
3eb7b78b | 168 | script: |
836049d6 HS |
169 | - virtualenv -p /usr/bin/python3 /tmp/venvhtml |
170 | - . /tmp/venvhtml/bin/activate | |
171 | - pip install -r doc/sphinx/requirements.txt | |
8a6414d1 | 172 | - make htmldocs KDOC_WERROR=1 |
e9cc7029 | 173 | - make infodocs |
3eb7b78b | 174 | |
1a62a722 TR |
175 | # ensure all configs have MAINTAINERS entries |
176 | Check for configs without MAINTAINERS entry: | |
399f739b | 177 | extends: .testsuites |
1a62a722 | 178 | script: |
d6b3297d | 179 | - ./tools/buildman/buildman --maintainer-check |
1a62a722 TR |
180 | |
181 | # Ensure host tools build | |
562ed115 | 182 | Build tools-only and envtools: |
399f739b | 183 | extends: .testsuites |
1a62a722 | 184 | script: |
562ed115 TR |
185 | - make tools-only_config tools-only -j$(nproc); |
186 | make mrproper; | |
187 | make tools-only_config envtools -j$(nproc) | |
1f3910da | 188 | |
7261833f | 189 | Run binman, buildman, dtoc, Kconfig and patman testsuites: |
399f739b | 190 | extends: .testsuites |
1a62a722 | 191 | script: |
d7ae9321 TR |
192 | - git config --global user.name "GitLab CI Runner"; |
193 | git config --global user.email [email protected]; | |
b6d4e085 | 194 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
d7ae9321 | 195 | export USER=gitlab; |
26a426a1 | 196 | virtualenv -p /usr/bin/python3 /tmp/venv; |
d7ae9321 | 197 | . /tmp/venv/bin/activate; |
38229b55 | 198 | pip install -r test/py/requirements.txt; |
f586cdae | 199 | pip install -r tools/buildman/requirements.txt; |
48f792e3 | 200 | export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only; |
d7ae9321 TR |
201 | export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"; |
202 | export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}"; | |
b6d4e085 | 203 | set +e; |
6c914e42 | 204 | ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w |
48f792e3 | 205 | --board tools-only; |
b6d4e085 | 206 | set -e; |
d7ae9321 TR |
207 | ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test; |
208 | ./tools/buildman/buildman -t; | |
209 | ./tools/dtoc/dtoc -t; | |
6bb74de7 | 210 | ./tools/patman/patman test; |
7261833f | 211 | make testconfig |
1a62a722 | 212 | |
642e51ad SG |
213 | # Check for any pylint regressions |
214 | Run pylint: | |
399f739b | 215 | extends: .testsuites |
642e51ad | 216 | script: |
b6d4e085 | 217 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
642e51ad | 218 | - pip install -r test/py/requirements.txt |
f586cdae | 219 | - pip install -r tools/buildman/requirements.txt |
e47bbf7e | 220 | - pip install asteval pylint==2.12.2 pyopenssl |
642e51ad SG |
221 | - export PATH=${PATH}:~/.local/bin |
222 | - echo "[MASTER]" >> .pylintrc | |
223 | - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc | |
48f792e3 | 224 | - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only |
b6d4e085 | 225 | - set +e |
642e51ad | 226 | - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w |
48f792e3 | 227 | --board tools-only |
b6d4e085 | 228 | - set -e |
642e51ad SG |
229 | - pylint --version |
230 | - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt" | |
231 | - make pylint_err | |
232 | ||
441a3d0a SG |
233 | # Check for pre-schema driver model tags |
234 | Check for pre-schema tags: | |
399f739b | 235 | extends: .testsuites |
441a3d0a SG |
236 | script: |
237 | - git config --global --add safe.directory "${CI_PROJECT_DIR}"; | |
238 | # If grep succeeds and finds a match the test fails as we should | |
239 | # have no matches. | |
240 | - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0 | |
241 | ||
c21a5286 SG |
242 | # Check we can package the Python tools |
243 | Check packing of Python tools: | |
399f739b | 244 | extends: .testsuites |
c21a5286 SG |
245 | script: |
246 | - make pip | |
247 | ||
1a62a722 TR |
248 | # Test sandbox with test.py |
249 | sandbox test.py: | |
1a62a722 TR |
250 | variables: |
251 | TEST_PY_BD: "sandbox" | |
1a62a722 TR |
252 | <<: *buildman_and_testpy_dfn |
253 | ||
0219d014 | 254 | sandbox with clang test.py: |
0219d014 TR |
255 | variables: |
256 | TEST_PY_BD: "sandbox" | |
96afd8a3 | 257 | OVERRIDE: "-O clang-17" |
0219d014 TR |
258 | <<: *buildman_and_testpy_dfn |
259 | ||
c807bdd0 MV |
260 | sandbox64 test.py: |
261 | variables: | |
262 | TEST_PY_BD: "sandbox64" | |
263 | <<: *buildman_and_testpy_dfn | |
264 | ||
265 | sandbox64 with clang test.py: | |
266 | variables: | |
267 | TEST_PY_BD: "sandbox64" | |
96afd8a3 | 268 | OVERRIDE: "-O clang-17" |
c807bdd0 MV |
269 | <<: *buildman_and_testpy_dfn |
270 | ||
1a62a722 | 271 | sandbox_spl test.py: |
1a62a722 TR |
272 | variables: |
273 | TEST_PY_BD: "sandbox_spl" | |
afb26ba9 | 274 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" |
1a62a722 TR |
275 | <<: *buildman_and_testpy_dfn |
276 | ||
6c914e42 | 277 | sandbox_noinst_test.py: |
6c914e42 SG |
278 | variables: |
279 | TEST_PY_BD: "sandbox_noinst" | |
280 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" | |
281 | <<: *buildman_and_testpy_dfn | |
282 | ||
b93cc1e7 SA |
283 | sandbox_noinst with LOAD_FIT_FULL test.py: |
284 | variables: | |
285 | TEST_PY_BD: "sandbox_noinst" | |
286 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" | |
287 | OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y" | |
288 | <<: *buildman_and_testpy_dfn | |
289 | ||
a31eff30 SG |
290 | sandbox_vpl test.py: |
291 | variables: | |
292 | TEST_PY_BD: "sandbox_vpl" | |
8b609878 | 293 | TEST_PY_TEST_SPEC: "vpl or test_spl" |
a31eff30 | 294 | <<: *buildman_and_testpy_dfn |
9cea4797 SG |
295 | |
296 | # Enable tracing and disable LTO, to ensure functions are not elided | |
297 | sandbox trace_test.py: | |
298 | variables: | |
299 | TEST_PY_BD: "sandbox" | |
300 | BUILD_ENV: "FTRACE=1 NO_LTO=1" | |
301 | TEST_PY_TEST_SPEC: "trace" | |
61cad8da | 302 | OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000" |
9cea4797 | 303 | <<: *buildman_and_testpy_dfn |
a31eff30 | 304 | |
699c0b93 | 305 | evb-ast2500 test.py: |
699c0b93 TR |
306 | variables: |
307 | TEST_PY_BD: "evb-ast2500" | |
308 | TEST_PY_ID: "--id qemu" | |
699c0b93 TR |
309 | <<: *buildman_and_testpy_dfn |
310 | ||
b24087ae JS |
311 | evb-ast2600 test.py: |
312 | variables: | |
313 | TEST_PY_BD: "evb-ast2600" | |
314 | TEST_PY_ID: "--id qemu" | |
315 | <<: *buildman_and_testpy_dfn | |
316 | ||
1a62a722 | 317 | sandbox_flattree test.py: |
1a62a722 TR |
318 | variables: |
319 | TEST_PY_BD: "sandbox_flattree" | |
1a62a722 TR |
320 | <<: *buildman_and_testpy_dfn |
321 | ||
15e30106 KA |
322 | vexpress_ca9x4 test.py: |
323 | variables: | |
324 | TEST_PY_BD: "vexpress_ca9x4" | |
325 | TEST_PY_ID: "--id qemu" | |
326 | <<: *buildman_and_testpy_dfn | |
327 | ||
1a62a722 | 328 | integratorcp_cm926ejs test.py: |
1a62a722 TR |
329 | variables: |
330 | TEST_PY_BD: "integratorcp_cm926ejs" | |
331 | TEST_PY_TEST_SPEC: "not sleep" | |
332 | TEST_PY_ID: "--id qemu" | |
1a62a722 TR |
333 | <<: *buildman_and_testpy_dfn |
334 | ||
335 | qemu_arm test.py: | |
1a62a722 TR |
336 | variables: |
337 | TEST_PY_BD: "qemu_arm" | |
338 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
339 | <<: *buildman_and_testpy_dfn |
340 | ||
341 | qemu_arm64 test.py: | |
1a62a722 TR |
342 | variables: |
343 | TEST_PY_BD: "qemu_arm64" | |
344 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 345 | <<: *buildman_and_testpy_dfn |
a21e1123 MV |
346 | |
347 | qemu_m68k test.py: | |
348 | variables: | |
349 | TEST_PY_BD: "M5208EVBE" | |
350 | TEST_PY_ID: "--id qemu" | |
351 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
352 | OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR" | |
353 | <<: *buildman_and_testpy_dfn | |
1a62a722 | 354 | |
d8533167 | 355 | qemu_malta test.py: |
d8533167 DS |
356 | variables: |
357 | TEST_PY_BD: "malta" | |
358 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
359 | TEST_PY_ID: "--id qemu" | |
360 | <<: *buildman_and_testpy_dfn | |
361 | ||
362 | qemu_maltael test.py: | |
d8533167 DS |
363 | variables: |
364 | TEST_PY_BD: "maltael" | |
365 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
366 | TEST_PY_ID: "--id qemu" | |
367 | <<: *buildman_and_testpy_dfn | |
368 | ||
369 | qemu_malta64 test.py: | |
d8533167 DS |
370 | variables: |
371 | TEST_PY_BD: "malta64" | |
372 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
373 | TEST_PY_ID: "--id qemu" | |
374 | <<: *buildman_and_testpy_dfn | |
375 | ||
376 | qemu_malta64el test.py: | |
d8533167 DS |
377 | variables: |
378 | TEST_PY_BD: "malta64el" | |
379 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
380 | TEST_PY_ID: "--id qemu" | |
381 | <<: *buildman_and_testpy_dfn | |
382 | ||
1a62a722 | 383 | qemu-ppce500 test.py: |
1a62a722 TR |
384 | variables: |
385 | TEST_PY_BD: "qemu-ppce500" | |
386 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
387 | <<: *buildman_and_testpy_dfn |
388 | ||
a379d330 | 389 | qemu-riscv32 test.py: |
a379d330 BM |
390 | variables: |
391 | TEST_PY_BD: "qemu-riscv32" | |
392 | TEST_PY_TEST_SPEC: "not sleep" | |
a379d330 BM |
393 | <<: *buildman_and_testpy_dfn |
394 | ||
7298d82d | 395 | qemu-riscv64 test.py: |
7298d82d TR |
396 | variables: |
397 | TEST_PY_BD: "qemu-riscv64" | |
398 | TEST_PY_TEST_SPEC: "not sleep" | |
49fb28a4 BM |
399 | <<: *buildman_and_testpy_dfn |
400 | ||
401 | qemu-riscv32_spl test.py: | |
49fb28a4 BM |
402 | variables: |
403 | TEST_PY_BD: "qemu-riscv32_spl" | |
404 | TEST_PY_TEST_SPEC: "not sleep" | |
49fb28a4 BM |
405 | <<: *buildman_and_testpy_dfn |
406 | ||
407 | qemu-riscv64_spl test.py: | |
49fb28a4 BM |
408 | variables: |
409 | TEST_PY_BD: "qemu-riscv64_spl" | |
410 | TEST_PY_TEST_SPEC: "not sleep" | |
7298d82d TR |
411 | <<: *buildman_and_testpy_dfn |
412 | ||
1a62a722 | 413 | qemu-x86 test.py: |
1a62a722 TR |
414 | variables: |
415 | TEST_PY_BD: "qemu-x86" | |
416 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
417 | <<: *buildman_and_testpy_dfn |
418 | ||
419 | qemu-x86_64 test.py: | |
1a62a722 TR |
420 | variables: |
421 | TEST_PY_BD: "qemu-x86_64" | |
422 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
423 | <<: *buildman_and_testpy_dfn |
424 | ||
7de94126 JY |
425 | qemu-xtensa-dc233c test.py: |
426 | variables: | |
427 | TEST_PY_BD: "qemu-xtensa-dc233c" | |
428 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
429 | <<: *buildman_and_testpy_dfn | |
430 | ||
0e125756 | 431 | r2dplus_i82557c test.py: |
0e125756 MV |
432 | variables: |
433 | TEST_PY_BD: "r2dplus" | |
434 | TEST_PY_ID: "--id i82557c_qemu" | |
435 | <<: *buildman_and_testpy_dfn | |
436 | ||
437 | r2dplus_pcnet test.py: | |
0e125756 MV |
438 | variables: |
439 | TEST_PY_BD: "r2dplus" | |
440 | TEST_PY_ID: "--id pcnet_qemu" | |
441 | <<: *buildman_and_testpy_dfn | |
442 | ||
443 | r2dplus_rtl8139 test.py: | |
0e125756 MV |
444 | variables: |
445 | TEST_PY_BD: "r2dplus" | |
446 | TEST_PY_ID: "--id rtl8139_qemu" | |
447 | <<: *buildman_and_testpy_dfn | |
448 | ||
449 | r2dplus_tulip test.py: | |
0e125756 MV |
450 | variables: |
451 | TEST_PY_BD: "r2dplus" | |
452 | TEST_PY_ID: "--id tulip_qemu" | |
453 | <<: *buildman_and_testpy_dfn | |
454 | ||
0e60b3a7 BM |
455 | sifive_unleashed_sdcard test.py: |
456 | variables: | |
457 | TEST_PY_BD: "sifive_unleashed" | |
458 | TEST_PY_ID: "--id sdcard_qemu" | |
459 | <<: *buildman_and_testpy_dfn | |
460 | ||
461 | sifive_unleashed_spi-nor test.py: | |
462 | variables: | |
463 | TEST_PY_BD: "sifive_unleashed" | |
464 | TEST_PY_ID: "--id spi-nor_qemu" | |
465 | <<: *buildman_and_testpy_dfn | |
466 | ||
f7c6ee7f | 467 | xilinx_zynq_virt test.py: |
1a62a722 | 468 | variables: |
f7c6ee7f | 469 | TEST_PY_BD: "xilinx_zynq_virt" |
1a62a722 | 470 | TEST_PY_TEST_SPEC: "not sleep" |
1a62a722 | 471 | TEST_PY_ID: "--id qemu" |
1a62a722 TR |
472 | <<: *buildman_and_testpy_dfn |
473 | ||
474 | xilinx_versal_virt test.py: | |
1a62a722 TR |
475 | variables: |
476 | TEST_PY_BD: "xilinx_versal_virt" | |
477 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 478 | TEST_PY_ID: "--id qemu" |
1a62a722 TR |
479 | <<: *buildman_and_testpy_dfn |
480 | ||
481 | xtfpga test.py: | |
1a62a722 TR |
482 | variables: |
483 | TEST_PY_BD: "xtfpga" | |
484 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 485 | TEST_PY_ID: "--id qemu" |
1a62a722 | 486 | <<: *buildman_and_testpy_dfn |
bfb2a7fb SG |
487 | |
488 | coreboot test.py: | |
489 | variables: | |
490 | TEST_PY_BD: "coreboot" | |
491 | TEST_PY_TEST_SPEC: "not sleep" | |
492 | TEST_PY_ID: "--id qemu" | |
bfb2a7fb | 493 | <<: *buildman_and_testpy_dfn |